diff --git a/scripts/chroot.sh b/scripts/chroot.sh
index c2117c78045ada8d4f2df20f56c292a857dc34a4..fa2ca00acfef6efc807a2a6cbadc34cf74e7cc4c 100755
--- a/scripts/chroot.sh
+++ b/scripts/chroot.sh
@@ -807,6 +807,11 @@ fi
 
 if ls ${tempdir}/boot/vmlinuz-* >/dev/null 2>&1 ; then
 	sudo mv -v ${tempdir}/boot/vmlinuz-* ${DIR}/deploy/${export_filename}/
+else
+	if [ "${chroot_KERNEL_HTTP_DIR}" ] ; then
+		echo "Log: ERROR: kernel install failure..."
+		exit 1
+	fi
 fi
 
 if ls ${tempdir}/boot/initrd.img-* >/dev/null 2>&1 ; then